require "./joann-pupper-bot/*"
require "option_parser"

config_file = "./config.yaml"

OptionParser.parse do |parser|
  parser.banner = "Usage: joann-pupper-bot [arguments]"
  parser.on("-c", "--config=CONFIG", "Select config file") do |c|
    config_file = c
  end
  parser.on("-h", "--help", "Show this message") do
    puts parser
    exit
  end
end

botc = PupperBot.new(BotConfiguration.from_yaml(File.open(config_file)))
sleep
