require "yaml"

class BotConfiguration
  YAML.mapping(
    token: String,
    database: { type: String, default: "./data.sqlite" },
    subreddits: { type: Array(String), default: [ "rarepuppers" ] },
    send_cron: { type: String, default: "*/30 8-21 * * *" },
    refresh_cron: { type: String, default: "*/15 * * * *" },
    recipients: Array(Int64))
end
